How to get Local Bounding Box from TopoDS_Shape?

I want to know how to get the local bounding box from TopoDS_Shape

I could get world coordinate bounding box using function 'GetBndBox' as follow

BRepPrimAPI_MakeBox _boundingBox(_tempPlatetList.at(ii).GetBndBox().CornerMin(), _tempPlatetList.at(ii).GetBndBox().CornerMax());
TopoDS_Shape _boundingBoxShape = _boundingBox.Shape();

But, I couldn't find the method can get local coordinate bounding box not yet

Is there anyone who can know this method?

Sincerely,

Qr Qr's picture

It depends on how you actually set the local axes of your part. I think you can be interested in Oriented Bounding Box (OBB) which is local for a part: http://gamma.cs.unc.edu/SSV/obb.pdf
Is that something you're looking for?